Bug 1568655 - [GSS] symbolic links to read-only filesystem causing geo-replication session to enter faulty state
Summary: [GSS] symbolic links to read-only filesystem causing geo-replication session ...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Gluster Storage
Classification: Red Hat
Component: geo-replication
Version: rhgs-3.3
Hardware: Unspecified
OS: Unspecified
urgent
urgent
Target Milestone: ---
: RHGS 3.4.0
Assignee: Kotresh HR
QA Contact: Rochelle
URL:
Whiteboard:
Depends On:
Blocks: 1503138
TreeView+ depends on / blocked
 
Reported: 2018-04-18 01:32 UTC by Moses Muir
Modified: 2018-09-20 22:01 UTC (History)
13 users (show)

Fixed In Version: glusterfs-3.12.2-9
Doc Type: Bug Fix
Doc Text:
Previously, if symlinks were created by a non-privileged user pointing to the current directory on the master volume, geo-replication failed to sync them to slave. Instead of setting the permissions on the symlink, it used to dereference the symlink pointing to the virtual directory ".gfid" and failed with "Operation not supported" error. With this fix, geo-replication does not dereference symlink while setting permissions on file and syncs symlinks created by a non-privileged user pointing to the current directory.
Clone Of:
Environment:
Last Closed: 2018-09-04 06:46:03 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2018:2607 None None None 2018-09-04 06:47:38 UTC

Description Moses Muir 2018-04-18 01:32:34 UTC
Description of problem:

Customer is using various types of symbolic links. Each one causes geo-replication to go faulty.


Version-Release number of selected component (if applicable):


How reproducible:

Customer encountering faulty geo-replication state being triggered by symbolic links to read-only filesystems.  When these sym links are removed, geo-replication is returned to a non-faulty state.


Steps to Reproduce:
1.
2.
3.

Actual results:


Expected results:


Additional info:

sh%3A%2F%2Froot%40X.X.X.X%3Agluster%3A%2F%2F127.0.0.1%3Auds-remote.log:OSError: [Errno 30] Read-only file system: '.gfid/dfcdd661-06cb-452d-9c71-c4a6a45ade48'
ssh%3A%2F%2Froot%40X.X.X.X%3Agluster%3A%2F%2F127.0.0.1%3Auds-remote.log:OSError: [Errno 30] Read-only file system: '.gfid/be87038f-3faf-4267-86aa-a69194677e5c'
ssh%3A%2F%2Froot%40X.X.X.X%3Agluster%3A%2F%2F127.0.0.1%3Auds-remote.log:OSError: [Errno 30] Read-only file system: '.gfid/dfcdd661-06cb-452d-9c71-c4a6a45ade48'

Comment 7 Moses Muir 2018-04-18 21:05:45 UTC
Is this a duplicate of Bug 1565399?

Comment 11 Moses Muir 2018-04-20 07:50:10 UTC
Thank you Kotresh.

Considering these issues are indeed the same, I understand that the RCA is outlined upstream at the following URL:

https://review.gluster.org/#/c/19872/

Can you please elaborate a bit on this RCA as the customer is requesting more specifics?

The customer is concerned that symlinks created last week are OK whereas symlinks created this week are problematic.  Also there is concern that a recent upgrade to RHGS 3.3 has triggered this scenario.

Comment 29 Srijita Mukherjee 2018-09-03 15:45:21 UTC
have updated the doc text. Kindly review and confirm

Comment 33 Srijita Mukherjee 2018-09-04 06:30:36 UTC
Have made the necessary changes.

Comment 34 errata-xmlrpc 2018-09-04 06:46:03 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2018:2607


Note You need to log in before you can comment on or make changes to this bug.